GNU bug report logs - #43837
28.0.50; [NS] Internal border of inactive frame loses color

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andrii Kolomoiets <andreyk.mad@HIDDEN>; Done: Stefan Kangas <stefan@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 43837 <at> debbugs.gnu.org and Andrii Kolomoiets <andreyk.mad@HIDDEN> Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43837 <at> debbugs.gnu.org:


Received: (at 43837) by debbugs.gnu.org; 18 Oct 2020 11:53:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 18 07:53:02 2020
Received: from localhost ([127.0.0.1]:36374 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kU7FG-0007PO-0b
	for submit <at> debbugs.gnu.org; Sun, 18 Oct 2020 07:53:02 -0400
Received: from mail-ed1-f47.google.com ([209.85.208.47]:44420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kU7FD-0007Ov-4O
 for 43837 <at> debbugs.gnu.org; Sun, 18 Oct 2020 07:52:59 -0400
Received: by mail-ed1-f47.google.com with SMTP id t20so7357804edr.11
 for <43837 <at> debbugs.gnu.org>; Sun, 18 Oct 2020 04:52:59 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=6hNbr/ETdK2C4wDKTM8f6WIk0mdtLBeq5zSIk4krmbQ=;
 b=J5vy1vMHxfDwfH6wKZkznqTu54faMzqv7MOMsxpjEngnraePiB9DDafRg+BmxuHHDx
 7PfKHbsWrsD+urj/12KWkt+DT6DblFczJapdyLsbzYISiKeE3bgG3gI7vNhh0ENxy7uc
 xDxRnoq+YW+S0NKIL6bDPUsWZLXH+ZrAvc5CeX2XclU+VaWP5x6xqtY+MiFo1MCOxEXM
 FsbNNAaMdeYXBbwmXD3mnHRbPAZzRdPqoz41By83F3RA68we2IRHGCWC3e2BQ5J8ojEj
 7PFJvPd+g0A0RswmzKiEC0r9EV5MdNY/kBRGlKtp5arORiT3qtfv8+zH/gYS+rgZY1tR
 ey/Q==
X-Gm-Message-State: AOAM530SvGWla758j04CSLhNPPnDLEGbcZeZeYrz5USpsB+PkadZ32ty
 AEwFgXD9n6bFeFvfbmcy7A99yP/b30R1ZqZDsjk=
X-Google-Smtp-Source: ABdhPJxxEMFiw0iGNwwiaK10Iq+NHaeY3SOcyo+gsR7AyEZxxsd3Ax3qk4TWBihntX5WGmGthURD820RZH+43QxU5Kw=
X-Received: by 2002:a50:fa42:: with SMTP id c2mr13680733edq.282.1603021973286; 
 Sun, 18 Oct 2020 04:52:53 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 18 Oct 2020 04:52:52 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <m2362qifun.fsf@HIDDEN> (Andrii Kolomoiets's message of "Wed, 
 07 Oct 2020 11:45:52 +0300")
References: <m21ribi1n2.fsf@HIDDEN>
 <20201006203715.GD60347@HIDDEN>
 <83eemaa4fs.fsf@HIDDEN> <m2eemascru.fsf@HIDDEN> <835z7ma1aq.fsf@HIDDEN>
 <834kn6a0t4.fsf@HIDDEN> <m2362qifun.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Sun, 18 Oct 2020 04:52:52 -0700
Message-ID: <CADwFkmk=XYVZqVHpQjd-eSMaHp5=90PKdcwYR5aCL3s_qNOywg@HIDDEN>
Subject: Re: bug#43837: 28.0.50;
 [NS] Internal border of inactive frame loses color
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 43837
Cc: Eli Zaretskii <eliz@HIDDEN>, 43837 <at> debbugs.gnu.org, alan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

close 43837 28.1
thanks

Andrii Kolomoiets <andreyk.mad@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>> Never mind, I fixed this now, I think.
>
> Can confirm.

It seems like this was fixed, but the bug was never closed.  I'm
therefore closing this bug report.

If this conclusion is incorrect and this is still an issue, please reply
to this email (use "Reply to all" in your email client) and we can
reopen the bug report.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43837; Package emacs. Full text available.

Message received at 43837 <at> debbugs.gnu.org:


Received: (at 43837) by debbugs.gnu.org; 7 Oct 2020 08:46:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 04:46:04 2020
Received: from localhost ([127.0.0.1]:55204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQ55I-0000FF-OA
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2020 04:46:04 -0400
Received: from mail-lf1-f47.google.com ([209.85.167.47]:34616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kQ55G-0000Eb-6g
 for 43837 <at> debbugs.gnu.org; Wed, 07 Oct 2020 04:46:04 -0400
Received: by mail-lf1-f47.google.com with SMTP id u8so1384218lff.1
 for <43837 <at> debbugs.gnu.org>; Wed, 07 Oct 2020 01:46:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=yvVqg4mHYuSIOYOGchraMcl1fCTNXHWEMtU/ezPyUQU=;
 b=gocVOLAZhi8Ih8/8rkiwEPOD+0Znr6OWaeHtULolhdk6U1eeWaqpCnqXSZpT1IskAu
 XD3dFN8q7vtoWkZEqQ6j8VjGnQ7jXflY6wqRMEVcPjqcX1uBXW1sN28yeIxtZtJ5G8Af
 FyUx2L2YajGiPnmffLd61R/cZnBijFjAaCEuBvWue+Zq7LNwvt4p/xHOZtDkbMcH/wl3
 qMv92hedDPkvbllG8mk8rtPLCVhjjATG2MXsW+5nmyeTa7UMZS7UcrPXb1WmoAJVwNgi
 ooCTYdA+erKg92pYrERQ8NzQkxHvkX1sld0yIgoMAunFU068p8chAwvtcU3IT9PrODb7
 9w0Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=yvVqg4mHYuSIOYOGchraMcl1fCTNXHWEMtU/ezPyUQU=;
 b=W6Fd0no1InScDHgT/B15ITqueqaRFXieXzOySTMTr/DiGkZ92Ny3MRDUcdrj4H/Bp+
 +0CVb66Np60HsquDEAmEmE7r+8WU9ReYc1jH07bZwmGa3AyrbCQ+YLqNST1668XOHEtB
 O0drsLs24+Yvw3vlecwW5tynEzm5bYVWI2Ws+P6MNRveUXnEUXiB3EfApsSEfw1gD2zI
 Ktyk0AARza8tuMLeN1CeZ5MA4fo3jquIPG1cLx9P0A6rnizdYuZhC0jpTD4hfjtwlI+L
 vYFdPu0oCVrKQmtefjv2ixhMvvI6fmfralwPQwUzhmbEmNOvSnr8BQDedoKzfjPkrkRN
 a5gw==
X-Gm-Message-State: AOAM532Ai4olcn5Xvc7Suj2Y7Ab295CoyJ9GIXg1hxRUNORcRJwXVz9A
 APKEBZ7lc/CSfiAXEzfQ+efbdmE2KwU=
X-Google-Smtp-Source: ABdhPJzdtmnyvIVKOPZdPT/btqnGLxEuAqDaeHZ27z1tvQrDobsFwxxlRVucNIUyTsvF/FKmfAn2mw==
X-Received: by 2002:a19:c3cf:: with SMTP id t198mr563255lff.461.1602060355516; 
 Wed, 07 Oct 2020 01:45:55 -0700 (PDT)
Received: from muffinmac ([91.206.110.168])
 by smtp.gmail.com with ESMTPSA id m203sm233641lfd.195.2020.10.07.01.45.54
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 07 Oct 2020 01:45:54 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43837: 28.0.50; [NS] Internal border of inactive frame
 loses color
References: <m21ribi1n2.fsf@HIDDEN>
 <20201006203715.GD60347@HIDDEN> <83eemaa4fs.fsf@HIDDEN>
 <m2eemascru.fsf@HIDDEN> <835z7ma1aq.fsf@HIDDEN>
 <834kn6a0t4.fsf@HIDDEN>
Date: Wed, 07 Oct 2020 11:45:52 +0300
In-Reply-To: <834kn6a0t4.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 07 Oct
 2020 11:37:59 +0300")
Message-ID: <m2362qifun.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43837
Cc: alan@HIDDEN, 43837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Never mind, I fixed this now, I think.

Can confirm.

Thanks!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43837; Package emacs. Full text available.

Message received at 43837 <at> debbugs.gnu.org:


Received: (at 43837) by debbugs.gnu.org; 7 Oct 2020 08:38:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 04:38:01 2020
Received: from localhost ([127.0.0.1]:55184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQ4xU-0008T7-PV
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2020 04:38:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42570)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kQ4xT-0008Sq-Mm
 for 43837 <at> debbugs.gnu.org; Wed, 07 Oct 2020 04:38:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41841)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kQ4xO-00022I-1E; Wed, 07 Oct 2020 04:37:54 -0400
Received: from [176.228.60.248] (port=4066 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kQ4xN-0007oM-9O; Wed, 07 Oct 2020 04:37:53 -0400
Date: Wed, 07 Oct 2020 11:37:59 +0300
Message-Id: <834kn6a0t4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: andreyk.mad@HIDDEN
In-Reply-To: <835z7ma1aq.fsf@HIDDEN> (message from Eli Zaretskii on Wed, 07
 Oct 2020 11:27:25 +0300)
Subject: Re: bug#43837: 28.0.50;
 [NS] Internal border of inactive frame loses color
References: <m21ribi1n2.fsf@HIDDEN>
 <20201006203715.GD60347@HIDDEN> <83eemaa4fs.fsf@HIDDEN>
 <m2eemascru.fsf@HIDDEN> <835z7ma1aq.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43837
Cc: alan@HIDDEN, 43837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 07 Oct 2020 11:27:25 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: alan@HIDDEN, 43837 <at> debbugs.gnu.org
> 
> > From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
> > Cc: Alan Third <alan@HIDDEN>,  43837 <at> debbugs.gnu.org
> > Date: Wed, 07 Oct 2020 10:42:13 +0300
> > 
> > 1. M-: (custom-set-faces '(default ((t :foreground "white" :background "black"))))
> > 2. C-x 5 2
> > 
> > And to fix the colors in the created frame:
> > M-: (frame-set-background-mode (selected-frame))
> 
> So are you okay with reverting the fix and enduring the lesser problem
> we had before?

Never mind, I fixed this now, I think.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43837; Package emacs. Full text available.

Message received at 43837 <at> debbugs.gnu.org:


Received: (at 43837) by debbugs.gnu.org; 7 Oct 2020 08:32:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 04:32:50 2020
Received: from localhost ([127.0.0.1]:55164 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQ4sT-0008Kb-UB
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2020 04:32:50 -0400
Received: from wilbur.contactoffice.com ([212.3.242.68]:35390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1kQ4sS-0008KI-J9
 for 43837 <at> debbugs.gnu.org; Wed, 07 Oct 2020 04:32:49 -0400
Received: from smtpauth2.co-bxl (smtpauth2.co-bxl [10.2.0.24])
 by wilbur.contactoffice.com (Postfix) with ESMTP id 4246F11A1;
 Wed,  7 Oct 2020 10:32:42 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1602059562; 
 s=20200222-6h9o; d=idiocy.org; i=alan@HIDDEN;
 h=Date:From:To:Cc:Subject:Message-ID:References:MIME-Version:Content-Type:In-Reply-To;
 l=373; bh=hUSzJ+PNQHXkcQgkn2B96KpbZ+eEp8wL8UF06Iiv+dc=;
 b=UgBtpGzbvfyXZLZJkaivN30Ht/P+sxXbv0GnB8YMsRVQ0gmatEsHNbOcGFnRd27b
 +/UzPeBMj5RU8HP/vV0W5OdnsO26spHa6NEppU3W4rs+AwoWYOk6IzT3YzaRimx+L6C
 R1lRyvGexRhYLZCrrEjMQf6VYpxbaCcYIZSMQffwGjCGMKMwR1RlR/Oe6eI06vURIGQ
 +AzJSR08JlbqgIqfqnfbg2pnK58sVSPqcc2BDRJjS65mguBeBcEGfhr3WbA640+4nid
 RSgSOcRrVieO+uhLCfBlTPirwULwoI30XtTZY8j1ihM0gYZve1wkRjvk+qbtXnoTGzj
 9C/TkCWZDg==
Received: by smtp.mailfence.com with ESMTPA ;
 Wed, 7 Oct 2020 10:32:38 +0200 (CEST)
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 42C682025E5B92; Wed,  7 Oct 2020 09:32:37 +0100 (BST)
Date: Wed, 7 Oct 2020 09:32:37 +0100
From: Alan Third <alan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43837: 28.0.50; [NS] Internal border of inactive frame loses
 color
Message-ID: <20201007083237.GE60347@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, andreyk.mad@HIDDEN,
 43837 <at> debbugs.gnu.org
References: <m21ribi1n2.fsf@HIDDEN>
 <20201006203715.GD60347@HIDDEN>
 <83eemaa4fs.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83eemaa4fs.fsf@HIDDEN>
X-Spam-Flag: NO
X-Spam-Status: No, hits=-2.9 required=4.7 symbols=ALL_TRUSTED,
 BAYES_00 device=10.2.0.1
X-ContactOffice-Account: com:241649512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43837
Cc: 43837 <at> debbugs.gnu.org, andreyk.mad@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, Oct 07, 2020 at 10:19:35AM +0300, Eli Zaretskii wrote:
> > Date: Tue, 6 Oct 2020 21:37:15 +0100
> > From: Alan Third <alan@HIDDEN>
> > Cc: 43837 <at> debbugs.gnu.org
> > 
> > This isn't an NS specific problem. Eli actually spotted the bug last
> > year and put in a FIXME.
> 
> It was me?

Yup! 6a1dcf594a8b6aa72820f04b529aa3454cf3fc61 :)

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43837; Package emacs. Full text available.

Message received at 43837 <at> debbugs.gnu.org:


Received: (at 43837) by debbugs.gnu.org; 7 Oct 2020 08:27:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 04:27:33 2020
Received: from localhost ([127.0.0.1]:55136 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQ4nN-00062Q-Hk
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2020 04:27:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kQ4nL-00062D-Tr
 for 43837 <at> debbugs.gnu.org; Wed, 07 Oct 2020 04:27:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41713)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kQ4nE-0000f3-Tg; Wed, 07 Oct 2020 04:27:24 -0400
Received: from [176.228.60.248] (port=3414 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kQ4nA-0007CL-Mt; Wed, 07 Oct 2020 04:27:24 -0400
Date: Wed, 07 Oct 2020 11:27:25 +0300
Message-Id: <835z7ma1aq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
In-Reply-To: <m2eemascru.fsf@HIDDEN> (message from Andrii Kolomoiets on
 Wed, 07 Oct 2020 10:42:13 +0300)
Subject: Re: bug#43837: 28.0.50; [NS] Internal border of inactive frame
 loses color
References: <m21ribi1n2.fsf@HIDDEN>
 <20201006203715.GD60347@HIDDEN> <83eemaa4fs.fsf@HIDDEN>
 <m2eemascru.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43837
Cc: alan@HIDDEN, 43837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
> Cc: Alan Third <alan@HIDDEN>,  43837 <at> debbugs.gnu.org
> Date: Wed, 07 Oct 2020 10:42:13 +0300
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Heh, I went through the rabbit hole and arrived at the same fix, now
> > installed on master.  Let's see what will it break, and then perhaps
> > we will understand why the old code used selected-frame there...
> 
> Well, with recent master:
> 
> 1. M-: (custom-set-faces '(default ((t :foreground "white" :background "black"))))
> 2. C-x 5 2
> 
> And to fix the colors in the created frame:
> M-: (frame-set-background-mode (selected-frame))

So are you okay with reverting the fix and enduring the lesser problem
we had before?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43837; Package emacs. Full text available.

Message received at 43837 <at> debbugs.gnu.org:


Received: (at 43837) by debbugs.gnu.org; 7 Oct 2020 07:42:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 03:42:26 2020
Received: from localhost ([127.0.0.1]:55024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQ45i-0004uN-2M
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2020 03:42:26 -0400
Received: from mail-lf1-f48.google.com ([209.85.167.48]:34738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kQ45e-0004u8-79
 for 43837 <at> debbugs.gnu.org; Wed, 07 Oct 2020 03:42:25 -0400
Received: by mail-lf1-f48.google.com with SMTP id u8so1192360lff.1
 for <43837 <at> debbugs.gnu.org>; Wed, 07 Oct 2020 00:42:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=lD7YJYdYWBuctxnFzLgrqbS4cZT4KycfBMwIwrCC+M0=;
 b=oxCpkNqc8iKmen0kNBQjR2qgCOlJTgeKZgHD8EF/YB/+/CmDJApliWPkhtE5Tv3zRY
 8a8c7Zla7AZ+km8td5pvFBhnY4UJsHYb36AVtL8PNQ/8xbfo6FZC/jvGMWN0znhvkVzj
 S9TZQf9knH0u81c9K0qAeLwHmfI9ZKGCYIE77XtLMiv2epWxqfXnOFjeyRt8Z+b5aoz8
 z3n5E/COok3BCci4Ya7OvVue2of2gePUxmuIY/fXsMBHtve+osJoQ5LsqADJjThO6ExA
 1A4KuA6lXhJ5HY2vWvz5cR4AJU6JhU4QBii2c/C/FfWOCbf83A6M9Pzkxghwl/P8CcZr
 6e3A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=lD7YJYdYWBuctxnFzLgrqbS4cZT4KycfBMwIwrCC+M0=;
 b=r6+HSzXNcgSg2CvsFzHpVRPQ+qiCVRy0uA6hDiq/RqRP4S+Cdji/mak735ATVQCpOX
 Sc0WoqkVv10CY2fVXKllusUUT9wAAY0hvw6bd5x4MPXRsgOIIB9fra8cvzN2mrB5KgRP
 wBVgDKE3l3+IscXudDYuY4TF5xZeZQ/5U4T9L3WzPVCODFMxQZkexvTmqSsQuabL5omS
 ghiqHHx6u3L9V4Nnq2Fpp9UpLLbU6zREdvE7klr+wg3/MRIOe4I0dVZ2E1k0Fk6u1oQO
 ABAZuS95LpinM+NsnkpwkbOXHxzDhP2RX3dpRvoFerDrRrWOfRcfVEreM8ykMSZ5UbqE
 S+mg==
X-Gm-Message-State: AOAM532AF0wXAdJmlvCZOO4X4F9Np9Ut1JbvDrKSxywAY9S8zoxJFC94
 gubkTFHPwcy4L7gvK29EvekGo4qmpQk=
X-Google-Smtp-Source: ABdhPJypzQataPNJOKcBGKbsHzmvYhk8PnM/AOWBWovhzG0oB/LpJ2+lBWNmSE0+mzornFrK3h5KBw==
X-Received: by 2002:ac2:560f:: with SMTP id v15mr629072lfd.550.1602056535693; 
 Wed, 07 Oct 2020 00:42:15 -0700 (PDT)
Received: from muffinmac ([91.206.110.168])
 by smtp.gmail.com with ESMTPSA id j19sm227855ljb.51.2020.10.07.00.42.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 07 Oct 2020 00:42:14 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43837: 28.0.50; [NS] Internal border of inactive frame
 loses color
References: <m21ribi1n2.fsf@HIDDEN>
 <20201006203715.GD60347@HIDDEN> <83eemaa4fs.fsf@HIDDEN>
Date: Wed, 07 Oct 2020 10:42:13 +0300
In-Reply-To: <83eemaa4fs.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 07 Oct
 2020 10:19:35 +0300")
Message-ID: <m2eemascru.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43837
Cc: Alan Third <alan@HIDDEN>, 43837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Alan Third <alan@HIDDEN>
>> I can't think of a good reason for the code to use the selected frame,
>> but perhaps I'm missing something.
>
> Heh, I went through the rabbit hole and arrived at the same fix, now
> installed on master.  Let's see what will it break, and then perhaps
> we will understand why the old code used selected-frame there...

Well, with recent master:

1. M-: (custom-set-faces '(default ((t :foreground "white" :background "black"))))
2. C-x 5 2

And to fix the colors in the created frame:
M-: (frame-set-background-mode (selected-frame))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43837; Package emacs. Full text available.

Message received at 43837 <at> debbugs.gnu.org:


Received: (at 43837) by debbugs.gnu.org; 7 Oct 2020 07:19:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 03:19:38 2020
Received: from localhost ([127.0.0.1]:54974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQ3je-0004In-LK
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2020 03:19:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kQ3jc-0004IZ-Dz
 for 43837 <at> debbugs.gnu.org; Wed, 07 Oct 2020 03:19:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40927)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kQ3jW-0000ml-Lq; Wed, 07 Oct 2020 03:19:30 -0400
Received: from [176.228.60.248] (port=3215 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kQ3jV-0002tS-UM; Wed, 07 Oct 2020 03:19:30 -0400
Date: Wed, 07 Oct 2020 10:19:35 +0300
Message-Id: <83eemaa4fs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alan Third <alan@HIDDEN>
In-Reply-To: <20201006203715.GD60347@HIDDEN> (message from
 Alan Third on Tue, 6 Oct 2020 21:37:15 +0100)
Subject: Re: bug#43837: 28.0.50;
 [NS] Internal border of inactive frame loses color
References: <m21ribi1n2.fsf@HIDDEN>
 <20201006203715.GD60347@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43837
Cc: 43837 <at> debbugs.gnu.org, andreyk.mad@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 6 Oct 2020 21:37:15 +0100
> From: Alan Third <alan@HIDDEN>
> Cc: 43837 <at> debbugs.gnu.org
> 
> > 1. M-: (setq test-frame (make-frame '((left . 50) (top . 50))))
> > 2. C-x 5 o
> > 3. M-: (set-face-background 'internal-border "blue" test-frame)
> > 4. M-: (modify-frame-parameters test-frame '((background-color . "black")))
> > 
> > Now (face-background 'internal-border test-frame) returns nil.
> > If we skip step 2, then the internal border color remains.
> 
> This isn't an NS specific problem. Eli actually spotted the bug last
> year and put in a FIXME.

It was me?

> I can't think of a good reason for the code to use the selected frame,
> but perhaps I'm missing something.

Heh, I went through the rabbit hole and arrived at the same fix, now
installed on master.  Let's see what will it break, and then perhaps
we will understand why the old code used selected-frame there...

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43837; Package emacs. Full text available.

Message received at 43837 <at> debbugs.gnu.org:


Received: (at 43837) by debbugs.gnu.org; 7 Oct 2020 07:03:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 03:03:40 2020
Received: from localhost ([127.0.0.1]:54922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQ3UB-0003tz-Ot
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2020 03:03:39 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kQ3U7-0003tl-HI
 for 43837 <at> debbugs.gnu.org; Wed, 07 Oct 2020 03:03:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40797)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kQ3U2-0007RI-9h; Wed, 07 Oct 2020 03:03:30 -0400
Received: from [176.228.60.248] (port=2234 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kQ3U1-0001Yn-L1; Wed, 07 Oct 2020 03:03:30 -0400
Date: Wed, 07 Oct 2020 10:03:34 +0300
Message-Id: <83imbma56h.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
In-Reply-To: <m21ribi1n2.fsf@HIDDEN> (message from Andrii Kolomoiets on
 Tue, 06 Oct 2020 22:40:33 +0300)
Subject: Re: bug#43837: 28.0.50;
 [NS] Internal border of inactive frame loses color
References: <m21ribi1n2.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43837
Cc: 43837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
> Date: Tue, 06 Oct 2020 22:40:33 +0300
> 
> In 'emacs -Q':
> 
> 1. M-: (setq test-frame (make-frame '((left . 50) (top . 50))))
> 2. C-x 5 o
> 3. M-: (set-face-background 'internal-border "blue" test-frame)
> 4. M-: (modify-frame-parameters test-frame '((background-color . "black")))
> 
> Now (face-background 'internal-border test-frame) returns nil.
> If we skip step 2, then the internal border color remains.

I think I fixed this on the master branch now.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43837; Package emacs. Full text available.

Message received at 43837 <at> debbugs.gnu.org:


Received: (at 43837) by debbugs.gnu.org; 7 Oct 2020 06:46:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 02:46:28 2020
Received: from localhost ([127.0.0.1]:54898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQ3DY-0003T2-Mb
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2020 02:46:28 -0400
Received: from mail-lj1-f182.google.com ([209.85.208.182]:41272)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kQ3DV-0003So-Vc
 for 43837 <at> debbugs.gnu.org; Wed, 07 Oct 2020 02:46:27 -0400
Received: by mail-lj1-f182.google.com with SMTP id p15so833265ljj.8
 for <43837 <at> debbugs.gnu.org>; Tue, 06 Oct 2020 23:46:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=8ndmd27YS7okJ0+N1os8SxvGLRRYAPgyNMHyJ5wtTyM=;
 b=Gg10ujwsiHFRnvKCneyyuWzZ3p1MfjMeCYLyL1B7UfFU0VelR5de/SHYKyBxs0VSCf
 jio1ypKQx25EzCOIOUBxcmDRAeA9ImNDjsbiHrGpO/R/KK9OF2iIk8y5B2H6vOFqORHT
 B36ibDx1r6D1Op0aKKv5V67d7aOWGK1NcR1FIdTt6NiTl4wGEOQ0P1H4hvfHL34vcfTW
 HSngqIA/j7lV2XQSXrJtkFjA0kQbDlr/G9cpDbQELTtBbj1i/UJ52Br0Nsr98bhLcH79
 ydWZp6Jm+yCvvOZLtO/v7mYoMaiJhi98xb4qXc0qSDo/CBxrKPSWR2HcV0JIey6N1AMb
 9+bg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=8ndmd27YS7okJ0+N1os8SxvGLRRYAPgyNMHyJ5wtTyM=;
 b=m1heHsCJgb96ZOZ+a6ImCN4PAnhN1wYcEXrHhg13UrRoD/qhsbnDJncHrMjIOp9GY8
 VITpNMoykeaEolp3SYhTpb91KJKClL/jQv/T8jy/yUDfbGWpHm2YoqjuqZs8WmMMdCgY
 nPK98NZh27vE1KP2/LpHS+wTmLUCtQL6PvNre8QUwJWpUudHu3RXza3ExzRNQAisQ92N
 DG3nQqtowsmtgMck+5oTyJS2mPftnBkvxk8YpEkkkHmbHJcjz5D8LL7xEW5yHOdhoh2h
 4///qXxs4rFIryyWGJBZn6jSxjQKrX9AuASx6Y7Nlts+IKCl4B21mSgcd+hvlAqeIrPm
 B/GA==
X-Gm-Message-State: AOAM532XMHpVjgtLvOxlpzxgHF5fdigEsb8d+A3lmLcWVumYfafbUFMU
 wZlFgN9FAzfT6txA8mQ23ZsYyjQlW5k=
X-Google-Smtp-Source: ABdhPJzTZ5w0BFuw/GmdlunNpp4oT5bYdlcdHfAwZTkIM6lgf0MlDWDuy6YSRWqHEkKdGBxgPzCHYQ==
X-Received: by 2002:a05:651c:216:: with SMTP id
 y22mr570900ljn.350.1602053179481; 
 Tue, 06 Oct 2020 23:46:19 -0700 (PDT)
Received: from muffinmac ([91.206.110.168])
 by smtp.gmail.com with ESMTPSA id q5sm189343lfn.215.2020.10.06.23.46.17
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 06 Oct 2020 23:46:18 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#43837: 28.0.50; [NS] Internal border of inactive frame
 loses color
References: <m21ribi1n2.fsf@HIDDEN>
 <20201006203715.GD60347@HIDDEN>
Date: Wed, 07 Oct 2020 09:46:16 +0300
In-Reply-To: <20201006203715.GD60347@HIDDEN> (Alan Third's
 message of "Tue, 6 Oct 2020 21:37:15 +0100")
Message-ID: <m2wo02h6tj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43837
Cc: 43837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alan Third <alan@HIDDEN> writes:

> This isn't an NS specific problem. Eli actually spotted the bug last
> year and put in a FIXME.

Sorry, was too lazy to check on other OS :)

> I can't think of a good reason for the code to use the selected frame,
> but perhaps I'm missing something.
>
> Patch attached.

Looks great and works perfect!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43837; Package emacs. Full text available.

Message received at 43837 <at> debbugs.gnu.org:


Received: (at 43837) by debbugs.gnu.org; 6 Oct 2020 20:37:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 06 16:37:28 2020
Received: from localhost ([127.0.0.1]:54261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kPtiC-0000zs-3q
	for submit <at> debbugs.gnu.org; Tue, 06 Oct 2020 16:37:28 -0400
Received: from wilbur.contactoffice.com ([212.3.242.68]:35978)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1kPtiA-0000zT-AU
 for 43837 <at> debbugs.gnu.org; Tue, 06 Oct 2020 16:37:27 -0400
Received: from smtpauth1.co-bxl (smtpauth1.co-bxl [10.2.0.15])
 by wilbur.contactoffice.com (Postfix) with ESMTP id A590411D8;
 Tue,  6 Oct 2020 22:37:19 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1602016639; 
 s=20200222-6h9o; d=idiocy.org; i=alan@HIDDEN;
 h=Date:From:To:Cc:Subject:Message-ID:References:MIME-Version:Content-Type:In-Reply-To;
 l=1988; bh=L3cP3uei9ZxmTJm9Tvyvf6w/az2neL2oNFarQCQn6z4=;
 b=msqRnOWcsuBzWMpjqx/jYaf+jZ9+bZcO7ubyRPvMk0R4wcuehGivf5Ps9fW/JIxA
 +kVv5793wjX/MQvCswnM/JO6jA6YC0MmwKzC+Vy0K6qLV9qOHnrBhkGT9yN1zHm/shu
 TzgOReo3ob6ikh4kamG/FP28NN73mM3P61/hbx4kWluBpyjh6LWJFw4uiPCXV8sc3Ob
 s0xnyTkvto9Kw0cUQZi538G9e8CzQ60Wo0MERtXCqXL8lzqqw5nBSYXVyRC1TJj40Ln
 LRLY8E1WWGj6K112oyK74m5RoCEWjTuLRzkbAS5tslsnjdlhUZ6/K38vGnMC7EiSEdw
 1i5Zlv1/JQ==
Received: by smtp.mailfence.com with ESMTPA ;
 Tue, 6 Oct 2020 22:37:16 +0200 (CEST)
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id B3A682025E342F; Tue,  6 Oct 2020 21:37:15 +0100 (BST)
Date: Tue, 6 Oct 2020 21:37:15 +0100
From: Alan Third <alan@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Subject: Re: bug#43837: 28.0.50; [NS] Internal border of inactive frame loses
 color
Message-ID: <20201006203715.GD60347@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 43837 <at> debbugs.gnu.org
References: <m21ribi1n2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="aM3YZ0Iwxop3KEKx"
Content-Disposition: inline
In-Reply-To: <m21ribi1n2.fsf@HIDDEN>
X-Spam-Flag: NO
X-Spam-Status: No, hits=-2.9 required=4.7 symbols=ALL_TRUSTED,
 BAYES_00 device=10.2.0.1
X-ContactOffice-Account: com:241649512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43837
Cc: 43837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--aM3YZ0Iwxop3KEKx
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Tue, Oct 06, 2020 at 10:40:33PM +0300, Andrii Kolomoiets wrote:
> In 'emacs -Q':
> 
> 1. M-: (setq test-frame (make-frame '((left . 50) (top . 50))))
> 2. C-x 5 o
> 3. M-: (set-face-background 'internal-border "blue" test-frame)
> 4. M-: (modify-frame-parameters test-frame '((background-color . "black")))
> 
> Now (face-background 'internal-border test-frame) returns nil.
> If we skip step 2, then the internal border color remains.

This isn't an NS specific problem. Eli actually spotted the bug last
year and put in a FIXME.

I can't think of a good reason for the code to use the selected frame,
but perhaps I'm missing something.

Patch attached.
-- 
Alan Third

--aM3YZ0Iwxop3KEKx
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment;
	filename="0001-Prevent-mixing-of-faces-from-different-frames-bug-43.patch"

From b5f0e5a1c508a950a13941e15fc4bd1c1a63bceb Mon Sep 17 00:00:00 2001
From: Alan Third <alan@HIDDEN>
Date: Tue, 6 Oct 2020 21:32:55 +0100
Subject: [PATCH] Prevent mixing of faces from different frames (bug#43837)

* lisp/frame.el (frame-set-background-mode): Use the face spec from
the frame that's the target of the function instead of the currently
selected frame.
---
 lisp/frame.el | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

diff --git a/lisp/frame.el b/lisp/frame.el
index 7751ae1303..26b23f8229 100644
--- a/lisp/frame.el
+++ b/lisp/frame.el
@@ -1247,10 +1247,7 @@ frame-set-background-mode
                          (assq face (frame-face-alist))
                          (face-spec-match-p face
                                             (face-user-default-spec face)
-                                            ;; FIXME: why selected-frame and
-                                            ;; not the frame that is the
-                                            ;; argument to this function?
-                                            (selected-frame))))
+                                            frame)))
 		   (push face locally-modified-faces)))
 	    ;; Now change to the new frame parameters
 	    (modify-frame-parameters frame params)
-- 
2.26.1


--aM3YZ0Iwxop3KEKx--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43837; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Oct 2020 19:40:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 06 15:40:44 2020
Received: from localhost ([127.0.0.1]:54202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kPspI-000864-3C
	for submit <at> debbugs.gnu.org; Tue, 06 Oct 2020 15:40:44 -0400
Received: from lists.gnu.org ([209.51.188.17]:54420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kPspE-00085v-TQ
 for submit <at> debbugs.gnu.org; Tue, 06 Oct 2020 15:40:42 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42882)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <andreyk.mad@HIDDEN>)
 id 1kPspE-0005is-LZ
 for bug-gnu-emacs@HIDDEN; Tue, 06 Oct 2020 15:40:40 -0400
Received: from mail-lj1-x236.google.com ([2a00:1450:4864:20::236]:46774)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <andreyk.mad@HIDDEN>)
 id 1kPspC-00062W-Ub
 for bug-gnu-emacs@HIDDEN; Tue, 06 Oct 2020 15:40:40 -0400
Received: by mail-lj1-x236.google.com with SMTP id c21so3113418ljn.13
 for <bug-gnu-emacs@HIDDEN>; Tue, 06 Oct 2020 12:40:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=6wxJQ4JpK7e3+XkaXY4DEx93zFtCaxcJgh5RKUXvAyI=;
 b=BNtdqMozr+9G1fjRgDL6noWkSg1jRIFQXO5pqPzNVYB9EKjbE8ivgc4SzI1qAiB05t
 rboQHHYgbEZ/S9FrJyJK9K8PMBsg+sgjvHpGphhPP+UFCNqLzZVgsvoRIVXwvhypg/Zj
 idu/S3bfgGZ4euCQxoL1+nQ2Wj88UOi1YEw3ow5OoJ6gCEW5yY0d5kFMbr5UPsdMcl5o
 eCUp5wWH5Y/tTV2SuddGfyteFBLpsXXMvdsNPeHBg3RR+doW0c2ZjDUkyiqmmptXs3xj
 FUk9kgbR9jC67catOapvwcE+8wtFQZbumck5PoXB2e7ijLhEG6ZqGb4xiATzPkfSplvs
 EcvQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=6wxJQ4JpK7e3+XkaXY4DEx93zFtCaxcJgh5RKUXvAyI=;
 b=ZMnECBFvkFWAnhZaC6e7MRu/6aaI46ISkQkhQ8rL8hfL97kLOdnQePmZ/OY18voR0i
 Qp4gsWudYCWzdOINDp+dtOhDJ7siLFy4YglrYYK3xN/CqzfuIa+ZWYla7X0+YBN+DwXC
 jMVMkh7SDngof6fnaFiavVFHfeAiYogg3R1ZhK8qHGSkQ2dLAzjlPfQ1XoxEr4cWDuYy
 qT9zZJS2pMLtFAszmXsux7Un6vlV/hhgzquWqjnkBzGcf9ZyNw8QBW1/RV0nPTWF6L8n
 v4lgX/M7EkryigwhSxEF2noDMD6jh0+1F3iypFWnmyBKHQ/QlnRRIb6nCnFXyAGEZBaB
 IY1g==
X-Gm-Message-State: AOAM53019Xodkbwb34mU1uHeeCswYBi5SBUKtgnk1QwvdN/IX045JNZZ
 ssPNAO20n9r+d7HP9f3J3NM/LxrLMSY=
X-Google-Smtp-Source: ABdhPJzL/3OQai8pbaMZvZdZp5BrabKkEUpic+kaKE/BN1+vhaGEX3ILE0Rvm3ZbONnTl3dtD0nCBg==
X-Received: by 2002:a2e:a58e:: with SMTP id m14mr2459168ljp.375.1602013236102; 
 Tue, 06 Oct 2020 12:40:36 -0700 (PDT)
Received: from muffinmac ([91.206.110.168])
 by smtp.gmail.com with ESMTPSA id x14sm840878ljm.126.2020.10.06.12.40.34
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 06 Oct 2020 12:40:35 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; [NS] Internal border of inactive frame loses color
Date: Tue, 06 Oct 2020 22:40:33 +0300
Message-ID: <m21ribi1n2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2a00:1450:4864:20::236;
 envelope-from=andreyk.mad@HIDDEN; helo=mail-lj1-x236.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

In 'emacs -Q':

1. M-: (setq test-frame (make-frame '((left . 50) (top . 50))))
2. C-x 5 o
3. M-: (set-face-background 'internal-border "blue" test-frame)
4. M-: (modify-frame-parameters test-frame '((background-color . "black")))

Now (face-background 'internal-border test-frame) returns nil.
If we skip step 2, then the internal border color remains.


In GNU Emacs 28.0.50 (build 2, x86_64-apple-darwin19.6.0, NS appkit-1894.60 Version 10.15.6 (Build 19G2021))
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.6




Acknowledgement sent to Andrii Kolomoiets <andreyk.mad@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43837; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 18 Oct 2020 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.